<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___s_c_p_s__definitions" kind="group">
    <compoundname>group_ble_service_api_SCPS_definitions</compoundname>
    <title>ScPS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__scpss__t">cy_stc_ble_scpss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__scpsc__t">cy_stc_ble_scpsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__scps__char__value__t">cy_stc_ble_scps_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__scps__descr__value__t">cy_stc_ble_scps_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__scpss__config__t">cy_stc_ble_scpss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__scpsc__config__t">cy_stc_ble_scpsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___s_c_p_s__definitions_1ga68a5074a32bd9af7336e5ce28b42eef6" kind="enum" prot="public" static="no">
        <name>cy_en_ble_scps_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___s_c_p_s__definitions_1gga68a5074a32bd9af7336e5ce28b42eef6a5d203e54ef33d0f6940f5d32434a376c" prot="public">
          <name>CY_BLE_SCPS_SCAN_INT_WIN</name>
          <briefdescription>
<para>Scan Interval Window Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___s_c_p_s__definitions_1gga68a5074a32bd9af7336e5ce28b42eef6a00c83d56fb4f8b568672d7806a103c59" prot="public">
          <name>CY_BLE_SCPS_SCAN_REFRESH</name>
          <briefdescription>
<para>Scan Refresh Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___s_c_p_s__definitions_1gga68a5074a32bd9af7336e5ce28b42eef6a3d07e0dd76fef6a9057564e0338031b6" prot="public">
          <name>CY_BLE_SCPS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_scps_char_index_t: </bold><linebreak />SCPS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="57" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="52" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="53" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___s_c_p_s__definitions_1ga312e069f14195889f8d721a3d7ac838f" kind="enum" prot="public" static="no">
        <name>cy_en_ble_scps_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___s_c_p_s__definitions_1gga312e069f14195889f8d721a3d7ac838fa4126f4b39fe225bfb5a2900ef5f3c3a8" prot="public">
          <name>CY_BLE_SCPS_SCAN_REFRESH_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___s_c_p_s__definitions_1gga312e069f14195889f8d721a3d7ac838fa1ab9da9c783e4016ffb6cfa114270b05" prot="public">
          <name>CY_BLE_SCPS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_scps_descr_index_t: </bold><linebreak />ScPS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="64" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="61" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the ScPS specific definitions and data structures used in the ScPS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>